package com.bocloud.cmp.model;

import java.util.List;

public class ClusterModel {
    private String name;
    private Long cpuTotal;
    private Double memTotal;
    private Double diskTotal;
    private Long cpuUsed;
    private Double memUsed;
    private Double diskUsed;
    private List<HostModel> hosts;
    private Integer hostNum;// 集群中宿主机数量
    private Integer vmNum;// 集群中虚拟机数量
    private Integer templateNum;// 集群中模板数量
    private Integer cpuCore; // 集群中cpu核数
    private String remark; // 描述
    private String clusterVal;
    private String version;
    private String vdcUuid;
    private String status;
    private List<PoolModel> pools;
    private String uuid;
    private ResourcePoolModel resourcePool;// 资源池
    private String region;
    private List<String> hostNames;
    private List<String> policies;
    private String initialPolicy; // 布置策略
    private Integer cpu;
    private String zone;
    private Integer disk;
    private Integer memory;
    private String service;

    /**
     * @return the name
     */
    public String getName() {
        return name;
    }

    /**
     * @param name the name to set
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * @return the cpuTotal
     */
    public Long getCpuTotal() {
        return cpuTotal;
    }

    /**
     * @param cpuTotal the cpuTotal to set
     */
    public void setCpuTotal(Long cpuTotal) {
        this.cpuTotal = cpuTotal;
    }

    /**
     * @return the memTotal
     */
    public Double getMemTotal() {
        return memTotal;
    }

    /**
     * @param memTotal the memTotal to set
     */
    public void setMemTotal(Double memTotal) {
        this.memTotal = memTotal;
    }

    /**
     * @return the diskTotal
     */
    public Double getDiskTotal() {
        return diskTotal;
    }

    /**
     * @param diskTotal the diskTotal to set
     */
    public void setDiskTotal(Double diskTotal) {
        this.diskTotal = diskTotal;
    }

    /**
     * @return the cpuUsed
     */
    public Long getCpuUsed() {
        return cpuUsed;
    }

    /**
     * @param cpuUsed the cpuUsed to set
     */
    public void setCpuUsed(Long cpuUsed) {
        this.cpuUsed = cpuUsed;
    }

    /**
     * @return the memUsed
     */
    public Double getMemUsed() {
        return memUsed;
    }

    /**
     * @param memUsed the memUsed to set
     */
    public void setMemUsed(Double memUsed) {
        this.memUsed = memUsed;
    }

    /**
     * @return the diskUsed
     */
    public Double getDiskUsed() {
        return diskUsed;
    }

    /**
     * @param diskUsed the diskUsed to set
     */
    public void setDiskUsed(Double diskUsed) {
        this.diskUsed = diskUsed;
    }

    /**
     * @return the hosts
     */
    public List<HostModel> getHosts() {
        return hosts;
    }

    /**
     * @param hosts the hosts to set
     */
    public void setHosts(List<HostModel> hosts) {
        this.hosts = hosts;
    }

    public Integer getHostNum() {
        return hostNum;
    }

    public void setHostNum(Integer hostNum) {
        this.hostNum = hostNum;
    }

    public Integer getVmNum() {
        return vmNum;
    }

    public void setVmNum(Integer vmNum) {
        this.vmNum = vmNum;
    }

    public Integer getTemplateNum() {
        return templateNum;
    }

    public void setTemplateNum(Integer templateNum) {
        this.templateNum = templateNum;
    }

    /**
     * @return the cpuCore
     */
    public Integer getCpuCore() {
        return cpuCore;
    }

    /**
     * @param cpuCore the cpuCore to set
     */
    public void setCpuCore(Integer cpuCore) {
        this.cpuCore = cpuCore;
    }

    /**
     * @return the remark
     */
    public String getRemark() {
        return remark;
    }

    /**
     * @param remark the remark to set
     */
    public void setRemark(String remark) {
        this.remark = remark;
    }

    /**
     * @return the clusterVal
     */
    public String getClusterVal() {
        return clusterVal;
    }

    /**
     * @param clusterVal the clusterVal to set
     */
    public void setClusterVal(String clusterVal) {
        this.clusterVal = clusterVal;
    }

    /**
     * @return the version
     */
    public String getVersion() {
        return version;
    }

    /**
     * @param version the version to set
     */
    public void setVersion(String version) {
        this.version = version;
    }

    /**
     * @return the status
     */
    public String getStatus() {
        return status;
    }

    /**
     * @param status the status to set
     */
    public void setStatus(String status) {
        this.status = status;
    }

    /**
     * @return the pools
     */
    public List<PoolModel> getPools() {
        return pools;
    }

    /**
     * @param pools the pools to set
     */
    public void setPools(List<PoolModel> pools) {
        this.pools = pools;
    }

    /**
     * @return the uuid
     */
    public String getUuid() {
        return uuid;
    }

    /**
     * @param uuid the uuid to set
     */
    public void setUuid(String uuid) {
        this.uuid = uuid;
    }

    /**
     * @return the resourcePool
     */
    public ResourcePoolModel getResourcePool() {
        return resourcePool;
    }

    /**
     * @param resourcePool the resourcePool to set
     */
    public void setResourcePool(ResourcePoolModel resourcePool) {
        this.resourcePool = resourcePool;
    }

    /**
     * @return the region
     */
    public String getRegion() {
        return region;
    }

    /**
     * @param region the region to set
     */
    public void setRegion(String region) {
        this.region = region;
    }

    public List<String> getHostNames() {
        return hostNames;
    }

    public void setHostNames(List<String> hostNames) {
        this.hostNames = hostNames;
    }

    /**
     * @return the policies
     */
    public List<String> getPolicies() {
        return policies;
    }

    /**
     * @param policies the policies to set
     */
    public void setPolicies(List<String> policies) {
        this.policies = policies;
    }

    public String getInitialPolicy() {
        return initialPolicy;
    }

    public void setInitialPolicy(String initialPolicy) {
        this.initialPolicy = initialPolicy;
    }

    /**
     * @param name
     * @param cpuTotal
     * @param memTotal
     * @param diskTotal
     * @param cpuUsed
     * @param memUsed
     * @param diskUsed
     * @param hosts
     */
    public ClusterModel(String name, Long cpuTotal, Double memTotal, Double diskTotal, Long cpuUsed, Double memUsed,
                        Double diskUsed, List<HostModel> hosts, Integer hostNum, Integer vmNum, Integer templateNum,
                        Integer cpuCore, String clusterVal) {
        this.name = name;
        this.cpuTotal = cpuTotal;
        this.memTotal = memTotal;
        this.diskTotal = diskTotal;
        this.cpuUsed = cpuUsed;
        this.memUsed = memUsed;
        this.diskUsed = diskUsed;
        this.hosts = hosts;
        this.hostNum = hostNum;
        this.vmNum = vmNum;
        this.templateNum = templateNum;
        this.cpuCore = cpuCore;
        this.clusterVal = clusterVal;
    }

    /**
     *
     */
    public ClusterModel() {
        super();
    }

    public String getZone() {
        return zone;
    }

    public void setZone(String zone) {
        this.zone = zone;
    }

    public Integer getDisk() {
        return disk;
    }

    public void setDisk(Integer disk) {
        this.disk = disk;
    }

    public Integer getMemory() {
        return memory;
    }

    public void setMemory(Integer memory) {
        this.memory = memory;
    }

    public String getService() {
        return service;
    }

    public void setService(String service) {
        this.service = service;
    }

    public Integer getCpu() {
        return cpu;
    }

    public void setCpu(Integer cpu) {
        this.cpu = cpu;
    }

	public String getVdcUuid() {
		return vdcUuid;
	}

	public void setVdcUuid(String vdcUuid) {
		this.vdcUuid = vdcUuid;
	}
    
}
